<form [formGroup]="questionForm" (ngSubmit)="onSubmit($event)">

  <mat-card class="shipping-card">
    <mat-card-header>
      <mat-card-title>Create a Question</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <div class="row">
        <div class="col">
          <mat-form-field class="full-width">
            <input matInput placeholder="question" formControlName="question">
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <mat-form-field required>
            <mat-select placeholder="Answer Type" formControlName="answer" [(ngModel)]="selectedAnswer">
              <mat-option *ngFor="let answer of answers" [value]="answer">
                {{ answer.name }}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="questionForm.controls['answer'].hasError('required')">
              State is <strong>required</strong>
            </mat-error>
          </mat-form-field>
          <div class="col" *ngIf="selectedAnswer">
            <dynamic-form-component #form (onSubmit)="onSubmit($event)" [fields]="[selectedAnswer?.field]"
                                    [title]="''" [disableSubmit]="false"></dynamic-form-component>
          </div>
        </div>
      </div>

    </mat-card-content>
  </mat-card>

  <mat-card class="example-card">
    <mat-card-header>
      <div mat-card-avatar class="example-header-image"></div>
      <mat-card-title>Grouping</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <div class="row">
        <div class="col">
          <label id="example-radio-group-label">Question Type</label>
          <mat-radio-group formControlName="shipping">
            <mat-radio-button value="free">Free Shipping</mat-radio-button>
            <mat-radio-button value="priority">Priority Shipping</mat-radio-button>
            <mat-radio-button value="nextday">Next Day Shipping</mat-radio-button>
          </mat-radio-group>
        </div>
        <div class="col">
          <label id="example-radio-group-label">Question Level</label>
          <mat-radio-group formControlName="shipping">
            <mat-radio-button value="free">Free Shipping</mat-radio-button>
            <mat-radio-button value="priority">Priority Shipping</mat-radio-button>
            <mat-radio-button value="nextday">Next Day Shipping</mat-radio-button>
          </mat-radio-group>
        </div>
      </div>
      <label id="example-radio-group-label">Labels</label>
      <mat-chip-list aria-label="Fish selection">
        <div *ngFor="let label of question.labels">
          <mat-checkbox></mat-checkbox>
          <mat-chip>{{label.value}}</mat-chip>
        </div>
      </mat-chip-list>
    </mat-card-content>
  </mat-card>


  <mat-card class="example-card">
    <mat-card-header>
      <div mat-card-avatar class="example-header-image"></div>
      <mat-card-title>Scoring mechanism</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <div class="row">
        <div class="col">
         <!-- <label id="example-radio-group-label">Question Type</label>-->
          <mat-radio-group formControlName="shipping" [(ngModel)]="selectedScoringMechanism">
            <mat-radio-button *ngFor="let scoreMechanism of scoringMechanisms" [value]="scoreMechanism.type">
              {{scoreMechanism.type}}
            </mat-radio-button>
          </mat-radio-group>
        </div>
      </div>
    </mat-card-content>
  </mat-card>

</form>






